buildroot/package/mosquitto/S50mosquitto
Peter Korsgaard abf4db2c48 package: add mosquitto
Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
2015-04-21 16:08:44 +02:00

36 lines
533 B
Bash

#!/bin/sh
start() {
echo -n "Starting mosquitto: "
start-stop-daemon -S -q -m -b -p /var/run/mosquitto.pid \
--exec /usr/sbin/mosquitto \
-- -c /etc/mosquitto/mosquitto.conf
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
echo -n "Stopping mosquitto: "
start-stop-daemon -K -q -p /var/run/mosquitto.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
restart
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?